| Disk ARchive 2.7.19 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::exclude_dir_mask Class Reference
API

matches if string is the given constructor string or a sub directory of it More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| exclude_dir_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
| exclude_dir_mask (const exclude_dir_mask &ref)=default
| exclude_dir_mask (exclude_dir_mask &&ref) noexcept=default
exclude_dir_mask & | operator= (const exclude_dir_mask &ref)=default
exclude_dir_mask & | operator= (exclude_dir_mask &&ref) noexcept=default
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Attributes
std::string | chemin
bool | case_s

## Detailed Description

matches if string is the given constructor string or a sub directory of it

Definition at line 457 of file mask.hpp.

## Constructor & Destructor Documentation

## ◆ exclude_dir_mask()

libdar::exclude_dir_mask::exclude_dir_mask | ( | const std::string & | p,
|  | bool | case_sensit )
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | is the path to compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Definition at line 464 of file mask.hpp.

Referenced by clone().

## Member Function Documentation

## ◆ clone()

mask * libdar::exclude_dir_mask::clone | ( |  | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 477 of file mask.hpp.

References exclude_dir_mask().

## ◆ dump()

std::string libdar::exclude_dir_mask::dump | ( | const std::string & | prefix | ) | const
| override virtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ is_covered() [1/2]

bool libdar::exclude_dir_mask::is_covered | ( | const path & | chemin | ) | const
| inline override virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 473 of file mask.hpp.

References libdar::path::is_subdir_of().

## ◆ is_covered() [2/2]

bool libdar::exclude_dir_mask::is_covered | ( | const std::string & | expression | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 472 of file mask.hpp.

## Member Data Documentation

## ◆ case_s

bool libdar::exclude_dir_mask::case_s
| private

Definition at line 481 of file mask.hpp.

## ◆ chemin

std::string libdar::exclude_dir_mask::chemin
| private

Definition at line 480 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp